# Revise version

Revert a generated dubbing version to editing mode in the Panjaya Dubbing Studio.

Once a dubbing version is successfully generated, its status changes to Completed, allowing only preview access to
 the generated video. If further edits are needed, use this endpoint to restore the version to an editable state.

Note: This action permanently removes the generated video and its associated result_url.

If studio_url_request provided this endpoint will return a URL to the Panjaya Dubbing Studio.
See the Create a signed URL endpoint for more details.

#### Version Status
This operation is only allowed if the version status is either Completed, ReadyToEdit or Failed. Upon execution,
 the version status will be updated to ReadyToEdit, allowing further modifications.

Endpoint: PATCH /v1/versions/{version_id}/revise
Security: api_key

## Path parameters:

  - `version_id` (string, required)

## Request fields (application/json):

  - `studio_url_request` (any)

## Response 200 fields (application/json):

  - `studio_url` (any)

## Response 400 fields (application/json):

  - `detail` (string, required)
    A full description of the error.

## Response 401 fields (application/json):

  - `detail` (string, required)
    A full description of the error.

## Response 500 fields (application/json):

  - `detail` (string, required)
    A full description of the error.


